error_log /var/log/nginx.error_log info;

events {
  worker_connections   20;
}
http {
  client_max_body_size 2000M;
  server {
    listen 80;
    server_name "";

    location / {
      proxy_pass http://pact-frontend/;
    }

    location /api/ {
      proxy_pass http://pact-backend:8281/api/;
    }

    location /b2b/ {
      proxy_pass http://pact-backend:8282/b2b/;
    }

    location /scheduler/ {
      proxy_pass http://pact-scheduler:8080/;
    }
  }
}
